×

INDI Library v1.9.7 Released (29 Jul 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

Stellarmate OS does not upgrade

  • Posts: 129
  • Thank you received: 12
I've not run the Stellarmate OS software update for a while, so decided to run it today. There's like 281 or so updates. But if I click install updates, it stops and I get the following error:
E: raspbian.raspberrypi.org/raspbian buster/main armhf base-files armhf 10.3+rpi1+deb10u8 is not (yet) available (404  Not Found [IP: 93.93.128.193 80])

Anyone know what this means and how to update Stellarmate OS?

 
Willem Jan Drijfhout
astroworldcreations.com
10 months 3 weeks ago #75516

Please Log in or Create an account to join the conversation.

  • Posts: 1067
  • Thank you received: 137
It has not worked for over a year, I have asked numerous times for it to be fixed, but again it fell on deaf ears…not everyone wants to or can update from the terminal….so this should really work…but hey ho…
Stellarmate OS on Raspberry pi4b
Skywatcher EQ8 pro, on steel pier
Takahashi FSQ85, FS60cb & Meade 8” SCT (de-forked)
Starlight Xpress SXVR H18, SXVR M25c, Lodestar x2 Guide Camera
Pegasus Ultimate Hub V2 for all USB & Power
Pegasus focus motors on all scopes
The following user(s) said Thank You: W J Drijfhout
10 months 3 weeks ago #75518

Please Log in or Create an account to join the conversation.

  • Posts: 730
  • Thank you received: 69
I updated mine to latest beta about a week ago with no issues.
Sometimes beta updates misbehave, that's true...
The update process is not straightforward and not streamlined either.
Max S.

RPI 4 B (4Gb) with SMate
Askar FRA400, TPO RC6, Nikon D5500 full spectrum (with IDAS D1 clip-in filter).
ASI2600MC Pro
ZWO ASI120MM Mini on ZWO 30F4
ZWO ASI224MC-S on Orion 50 mm f/3.2
ZWO EAF x 2
SW AZ-GTi
SW HEQ5
RST-135
iOptron CEM40G
The following user(s) said Thank You: W J Drijfhout
10 months 3 weeks ago #75547

Please Log in or Create an account to join the conversation.

  • Posts: 1067
  • Thank you received: 137
Yes, but it should be streamlined and easy, especially for new users, I have been telling the developer for a year now about this…the issue with this software is that they are always trying to make it more complex and better, which is good, BUT not at the expense of the little things still not working, it puts newbies off..
Stellarmate OS on Raspberry pi4b
Skywatcher EQ8 pro, on steel pier
Takahashi FSQ85, FS60cb & Meade 8” SCT (de-forked)
Starlight Xpress SXVR H18, SXVR M25c, Lodestar x2 Guide Camera
Pegasus Ultimate Hub V2 for all USB & Power
Pegasus focus motors on all scopes
10 months 3 weeks ago #75548

Please Log in or Create an account to join the conversation.

  • Posts: 129
  • Thank you received: 12
Based on the suggestions made above, I have gone through the terminal, and the good news is: fully updated now. These were the steps taken:
- Manually updated INDI in terminal
- Manually updated KStars in terminal
- Using the Software update manager, ticked 4 entries that seemed to do with updating the Stellarmate update manager. This updated well
- Restart
- Opened the (updated) Stellarmate Update manager, selected all 300-something entries and clicked 'update'.

This ran for a while and apparently updated everything without issues. Not sure which of the steps were crucial, but it worked, and that is most important.

I agree with earlier comments on lack of and need for a streamlined process here. The benefit of Stellarmate would be to have a simple to install and maintain (!) all in one astrophotography solution. If not, it would not be much easier to use than my much faster/robuster headless Linux miniPC with KStars/Ekos.
Willem Jan Drijfhout
astroworldcreations.com
10 months 3 weeks ago #75554

Please Log in or Create an account to join the conversation.

You are probably using an older version of StellarMate. Versions from 1.5.2+ onwards using the new "StellarMate Updater" tool on the desktop, not the built-in one provided by Raspbian. Furthermore, you can use SM App --> Devices --> Update to do the same without user interaction.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
10 months 3 weeks ago #75556

Please Log in or Create an account to join the conversation.

  • Posts: 129
  • Thank you received: 12
Thanks Jasem. I guess that is what ultimately ended up happening, that I installed the StellarMate Updater, and from there it worked and updated everything. Does that mean that I am now on a Stellarmate 1.5.2+ version as well?
Updating from the App did say I was up to date, but I'm wondering if that focuses on KStars only. The rest of the updates that got installed were throughout the Raspbian system
Willem Jan Drijfhout
astroworldcreations.com
10 months 3 weeks ago #75557

Please Log in or Create an account to join the conversation.

    

Using this it will install all system updates including KStars.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
10 months 3 weeks ago #75563
Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 129
  • Thank you received: 12
Thanks Jasem, yes, this is indeed the one that got installed by checking those 4 components first before updating the whole OS. Just checked and it says I'm on 1.6.0, so all good.
This is a really great addition, and indeed a super easy way to keep the system up to date.
Willem Jan Drijfhout
astroworldcreations.com
10 months 3 weeks ago #75571

Please Log in or Create an account to join the conversation.

  • Posts: 730
  • Thank you received: 69
Tonight I tried to update 1.5.9 Beta to 1.6.0 Stable.
Went into SM Control Panel to switch from Beta to Stable.
As soon as got into SM Control Panel it reported that updates were available and started installing without asking me.
As the result I ended up with a broken SM installation (no KStars, no PHD2, no internet connection, etc.) which happened to me a few times before under similar circumstances.

Used a 1.5.9 stable backup card to update to 1.6.0 - this went without a problem.

Just FYI.
Thanks!
Max S.

RPI 4 B (4Gb) with SMate
Askar FRA400, TPO RC6, Nikon D5500 full spectrum (with IDAS D1 clip-in filter).
ASI2600MC Pro
ZWO ASI120MM Mini on ZWO 30F4
ZWO ASI224MC-S on Orion 50 mm f/3.2
ZWO EAF x 2
SW AZ-GTi
SW HEQ5
RST-135
iOptron CEM40G
10 months 3 weeks ago #75583

Please Log in or Create an account to join the conversation.

Time to create page: 0.602 seconds